* {
  box-sizing: border-box;
}

div.header, div.topnavf, div.left, div.right, div.footer {
  margin: 0;
  padding: 0;
  border-style: outset;
  border-color: lightgray;
  border-width: 2px;
}

html, body {
  font-family: Arial;
  /*width: 100%;*/
  /*height: 100%;*/
  margin: 0;
  padding: 0;
}

body {
  
}

.header {
  overflow: hidden;
  text-align: center;
  background: lightgray;
  height: 8vh;  
}

.topnavf {
  overflow: hidden;
  background: lightgray;
  height: 8vh;
  width: 100vw;
}

.topnavf a {
  float: left;
  background: lightgray;
  color: black;
  width: 10%;
  height: 100%;
  margin: 0;
  border-width: 1;
  border-style: solid;
  border-color: lightgray;
  text-decoration: none;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
}

.topnavf a:hover {
  border-color: white gray gray white;
}

.mybut {
  float: left;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  
}

.mybut button {
	margin: 0;
	/*width: 8vw;*/
	white-space: nowrap;
	display: inline-block;
	/*height: 100%;*/
}

#tog-map {
	float: right;
	margin: 0px 10px 0px 10px;
}

.viewarea {
  display: grid;
  border-width: 0;
  
  grid-template: 
    "left right"  100%
                / min-content 1fr
}

.left, .right {
  height: 80vh;
  background: white;
  overflow: auto;
  
  min-width: 10vw;
  max-width: 90vw;
}

.left {
  grid-area: left;
  resize: horizontal;
  width: 100%;
}

.right {
  grid-area: right;
  width: 100%;

}

/*
.viewarea {
  display: flex;
  border-width: 0;
}

.left, .right, .box {
  height: 84vh;
  background: white;
  box-sizing: border-box;
  flex: 1 1 auto;

}

.handler {
  width: 20px;
  padding: 0;
  cursor: ew-resize;
  flex: 0 0 auto;
}

.handler::before {
  content: '';
  display: block;
  width: 4px;
  height: 100%;
  background: lightgray;
  border-style: solid;
  border-top-style: none;
  border-bottom-style: none;
  border-color: white dimgray white dimgray;
  border-width: 1px;
  margin: 0 auto;
}
*/
.footer {  
  overflow: hidden; 
  text-align: center;
  background: lightgray;
  height: 4vh;
}

.footbox {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  margin-left: 4px;
  margin-right: 4px;
  margin-top: 0;
  margin-bottom: 0;
  /*width: 8%;*/
  /*display: inline-block;*/
  height: 100%;
  padding: 4px;
  white-space: nowrap;
  border-style: inset;
  border-width: 2px;
  border-color: gainsboro;
  border-spacing: 0;
}

#box1, #box2, #box3 {
  float: left;
  /*align-items: center;
  justify-content: center;*/
  /*border-style: inset;*/
  overflow: hidden; 
}

#box1, #rightbox {
  width: 20vw;
}

#agebox {
  width: 10vw;
}

#rightbox, #agebox {
  float: right;
  /*border-style: inset;*/
  overflow: hidden; 
  /*justify-content: flex-end;*/
}

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  padding-top: 100px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.75); /* Black w/ opacity */
}

/* Modal Content */
.modal-content {
  background-color: white;
  margin: auto;
  padding: 20px;
  border: 16px outset;
  /*border-color: gray dimgray dimgray gray;*/
  
  width: 80%;
}

/* The Close Button */
.close {
  color: #aaaaaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}

#tblQuery {
  /*font-family: arial, sans-serif;*/
  border-collapse: collapse;
  width: 100%;
}

#tblResults {
  /*font-family: arial, sans-serif;*/
  /*border-collapse: collapse;*/
  border-collapse: separate;
  border-spacing: 0;
  width: 100%;
}

td, th {
  border: 1px solid lightgray;
  text-align: center;
  padding: 10px;
}

td input {
  height:100%;
  width:100%;
}

tr:nth-child(even) {
  background-color: white;
}

tr:nth-child(odd) {
  background-color: white;
}

td:nth-child(1) {
	text-align: left;
}

th {
	background-color: #f0f0f0;
}

#tblQuery tr {
	background: lightgray;
}

#tblQuery td, th {
  border: 1px solid dimgray;
}

#tblResults {
  /*border: 0;*/
}

#tblResults th {
  /*border-left: 1px;*/
  /*border-right: 1px;*/
  border-top: 0px;
  /*border-bottom: 0px;*/
  border-color: lightgray;
  position: sticky;
  top: 0;
  
}

#resultsHdr tr {
  /*border: 1px solid black;*/
}

/*
#tblResults tr:hover {
	background-color: lightgray;
}

#tblResults td:selected {
	background-color: yellow;
}

#tblResults td:active {
	background-color: red;
}
*/
/*
tr:hover td, tr.hover td { background-color:yellow }
td.selected { background-color: green; }
tr:hover td.selected { background-color: lime; }
*/
#txtHint {
	overflow-x: auto;
}

#right img {
  max-width: 100%;
  height: auto;
  object-fit: contain; 
}

#map {
/*
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
*/
	border-width: 0;
	height: 100%;
	
}

#map, #markerimg {
	display: none;
}
